'\" t
.\"     Title: vipw
.\"    Author: Marek Micha\(/lkiewicz
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Commandes de gestion du syst\(`eme
.\"    Source: shadow-utils 4.12.3
.\"  Language: French
.\"
.TH "VIPW" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Commandes de gestion du syst\(`em"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOM"
vipw, vigr \- \('Editer les fichiers passwd, group, shadow ou gshadow
.SH "SYNOPSIS"
.HP \w'\fBvipw\fR\ 'u
\fBvipw\fR [\fIoptions\fR]
.HP \w'\fBvigr\fR\ 'u
\fBvigr\fR [\fIoptions\fR]
.SH "DESCRIPTION"
.PP
The
\fBvipw\fR
and
\fBvigr\fR
commands edits the files
/etc/passwd
and
/etc/group, respectively\&. With the
\fB\-s\fR
flag, they will edit the shadow versions of those files,
/etc/shadow
and
/etc/gshadow, respectively\&. The programs will set the appropriate locks to prevent file corruption\&. When looking for an editor, the programs will first try the environment variable
\fB$VISUAL\fR, then the environment variable
\fB$EDITOR\fR, and finally the default editor,
\fBvi\fR(1)\&.
.SH "OPTIONS"
.PP
The options which apply to the
\fBvipw\fR
and
\fBvigr\fR
commands are:
.PP
\fB\-g\fR, \fB\-\-group\fR
.RS 4
\('Editer la base de donn\('ees de groupes\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Afficher un message d\*(Aqaide et quitter\&.
.RE
.PP
\fB\-p\fR, \fB\-\-passwd\fR
.RS 4
\('Editer la base de donn\('ees passwd\&.
.RE
.PP
\fB\-q\fR, \fB\-\-quiet\fR
.RS 4
Mode silencieux\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-shadow\fR
.RS 4
\('Editer les bases de donn\('ees shadow ou gshadow\&.
.RE
.SH "ENVIRONNEMENT"
.PP
\fBVISUAL\fR
.RS 4
L\*(Aq\('editeur \(`a utiliser
.RE
.PP
\fBEDITOR\fR
.RS 4
Editor to be used if
\fBVISUAL\fR
is not set\&.
.RE
.SH "FICHIERS"
.PP
/etc/group
.RS 4
Informations sur les groupes\&.
.RE
.PP
/etc/gshadow
.RS 4
Informations s\('ecuris\('ees sur les groupes\&.
.RE
.PP
/etc/passwd
.RS 4
Informations sur les comptes des utilisateurs\&.
.RE
.PP
/etc/shadow
.RS 4
Informations s\('ecuris\('ees sur les comptes utilisateurs\&.
.RE
.SH "VOIR AUSSI"
.PP
\fBvi\fR(1),
\fBgroup\fR(5),
\fBgshadow\fR(5)
,
\fBpasswd\fR(5), ,
\fBshadow\fR(5)\&.
